package com.example.playertime.api;

import java.util.List;

// 用于 /api/server-status 接口返回的服务器状态数据结构
public class ServerStatusResponse {
    public MemoryStats memory = new MemoryStats();
    public DiskStats disk = new DiskStats();
    public int available_processors;
    public long uptime; // 秒
    public String uptime_formatted;
    public ServerInfo server = new ServerInfo();

    public static class MemoryStats {
        public long max; // 字节
        public long total; // 字节
        public long used; // 字节
        public long free; // 字节
        public double usage_percentage;
    }

    public static class DiskStats {
        public long total; // 字节
        public long free; // 字节
        public long usable; // 字节
        public double usage_percentage;
    }

    public static class ServerInfo {
        public String version;
        public String motd;
        public int player_count;
        public int max_players;
        public double average_tick_time_ms; // 平均 MSPT
        public List<Double> recent_tick_samples_ms; // 最近 Tick 样本 (毫秒)
    }
}
